Gecode::Support::IntTypeTraits< unsigned short int > Class Reference

Traits for unsigned short int. More...

`#include <int-type.hpp>`

## Public Types

typedef unsigned short int | utype
| Corresponding unsigned type.
typedef signed short int | stype
| Corresponding signed type.

## Static Public Attributes

static const unsigned short int | min = 0
| Minimal value.
static const unsigned short int | max = USHRT_MAX
| Maximal value.
static const IntType | description = IT_SHRT
| Description of type.

## Detailed Description

Traits for unsigned short int.

Definition at line 101 of file int-type.hpp.

## Member Typedef Documentation

## utype

typedef unsigned short int Gecode::Support::IntTypeTraits< unsigned short int >::utype

Corresponding unsigned type.

Definition at line 104 of file int-type.hpp.

## stype

typedef signed short int Gecode::Support::IntTypeTraits< unsigned short int >::stype

Corresponding signed type.

Definition at line 106 of file int-type.hpp.

## Member Data Documentation

## min

const unsigned short int Gecode::Support::IntTypeTraits< unsigned short int >::min = 0

static

Minimal value.

Definition at line 108 of file int-type.hpp.

## max

const unsigned short int Gecode::Support::IntTypeTraits< unsigned short int >::max = USHRT_MAX

static

Maximal value.

Definition at line 110 of file int-type.hpp.

## description

const IntType Gecode::Support::IntTypeTraits< unsigned short int >::description = IT_SHRT

static

Description of type.

Definition at line 112 of file int-type.hpp.

The documentation for this class was generated from the following file:

- gecode/support/int-type.hpp